Bug 121638 - after fresh install, /root/.default_contexts has wrong attributes
after fresh install, /root/.default_contexts has wrong attributes
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2004-04-24 07:43 EDT by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-02 14:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-04-24 07:43:14 EDT
Description of problem:
fresh everything install of development shapshot of 22 April (should
be same as FC2-T3)

After the install, the /root/.default_contexts files has the wrong
selinux attributes to be used:
-rw-r--r--  root     root     system_u:object_r:staff_home_dir_t
[root@hummer root]# restorecon /root/.default_contexts
[root@hummer root]# ls -Z .default_contexts
-rw-r--r--  root     root     system_u:object_r:default_context_t
[root@hummer root]#
Comment 1 Gene Czarcinski 2004-04-28 12:34:26 EDT
verified with FC2-T3 "official" fresh install
Comment 2 Jeremy Katz 2004-04-28 14:49:13 EDT
You were booting with 'linux selinux' to start the install, right?
Comment 3 Leonard den Ottolander 2004-05-12 12:37:31 EDT
I noticed this as well, but fixed it with restorecon. Maybe an older
policy caused this file to have a wrong context?

Compare also bug 118618.
Comment 4 Leonard den Ottolander 2004-05-12 12:41:12 EDT
Dang. This is a fresh install you are speaking of. I should learn to
read :) .
Comment 5 Gene Czarcinski 2004-05-12 13:21:50 EDT
I am going to be doing a fresh install of today's (12 May) snapshot of
development and will check to see if this is fixed yet.  I suspect it
may not be fixed but will verify that.
Comment 6 Daniel Walsh 2004-05-28 10:32:57 EDT
We are moving this file out of the home directory.  Basically with the
new design homedir specific files will be under the policy root.


Comment 7 Daniel Walsh 2004-06-02 14:39:13 EDT
Fixed in selinux-policy-strict-1.13.2-7.src.rpm

Note You need to log in before you can comment on or make changes to this bug.